getList terms

Lists your terms in ascending ID order, whatever their status. Requires terms:read.

curl --request GET \
  --url 'https://your-tenant.fuse.server.test.neobits.ai/v2/terms?size=50&before=SOME_STRING_VALUE&after=SOME_STRING_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

Request

Headers

  • Authorization•string

    Bearer token authentication using OAuth 2.0 client credentials flow.

Params (query)

  • size•integer

    Maximum resources to return (1–5,000). Defaults to 50.

  • before•string<uuid>

    Exclusive resource ID cursor. Use page.before from a previous response. Cannot be combined with after.

  • after•string<uuid>

    Exclusive resource ID cursor. Use page.after from a previous response. Cannot be combined with before.

Response

Headers

  • Content-Type•string

    The content type of the response.

  • X-Request-ID•string<uuid>

    UUID generated on each request. Provide this id to customer support if an error occurs.

Body

  • data•array<object>

    • id•string<uuid>

    • terms•object

      • chargeCard•object

        • rate•number

          Annual interest rate as a fraction, so `0.05` is 5%.

        • duration•number

          Repayment duration in months.

      • creditCard•object

        • rate•number

          Annual interest rate as a fraction, so `0.05` is 5%.

        • duration•number

          Repayment duration in months.

      • otherDebts•object

        • rate•number

          Annual interest rate as a fraction, so `0.05` is 5%.

        • duration•number

          Repayment duration in months.

      • repaymentLoan•object

        • rate•number

          Annual interest rate as a fraction, so `0.05` is 5%.

        • duration•number

          Repayment duration in months.

      • movables•object

        • rate•number

          Annual interest rate as a fraction, so `0.05` is 5%.

        • duration•number

          Repayment duration in months.

      • mortgages•object

        • rate•number

          Annual interest rate as a fraction, so `0.05` is 5%.

        • duration•number

          Repayment duration in months.

      • studentLoans•object

        • rate•number

          Annual interest rate as a fraction, so `0.05` is 5%.

        • duration•number

          Repayment duration in months.

    • startDate•string<date-time>

      When these terms take effect.

    • endDate•string<date-time>

      When these terms stop applying. Null while nothing replaces them.

    • status•string

      `ACTIVE` terms apply now, `SCHEDULED` terms start in the future and `SUPERSEDED` terms have ended.

    • createdAt•string<date-time>

    • updatedAt•string<date-time>

  • page•object

    • size•integer

      Number of terms returned in this response.

    • total•integer

      Total terms, independent of the cursor.

    • before•string<uuid>

      First returned ID. Use as before to request the preceding page. Null for an empty page.

    • after•string<uuid>

      Last returned ID. Use as after to request the following page. Null for an empty page.